Security update for kdelibs4

SUSE Security Update: Security update for kdelibs4
Announcement ID: SUSE-SU-2013:1559-1
Rating: moderate
References: #787520
Affected Products:
  • SUSE Linux Enterprise Software Development Kit 11 SP3
  • SUSE Linux Enterprise Software Development Kit 11 SP2
  • SUSE Linux Enterprise Server 11 SP3 for VMware
  • SUSE Linux Enterprise Server 11 SP3
  • SUSE Linux Enterprise Server 11 SP2 for VMware
  • SUSE Linux Enterprise Server 11 SP2
  • SUSE Linux Enterprise Desktop 11 SP3
  • SUSE Linux Enterprise Desktop 11 SP2

  • An update that fixes three vulnerabilities is now available.

    Description:


    This kdelibs4 update fixes several security issues related
    to khtml/konqueror.

    * Fix security issues and null pointer references in
    khtml/konqueror (bnc#787520) (CVE-2012-4512, CVE-2012-4513,
    CVE-2012-4515)

    Security Issue references:

    * CVE-2012-4512
    >
    * CVE-2012-4513
    >
    * CVE-2012-4515
    >

    Patch Instructions:

    To install this SUSE Security Update use YaST online_update.
    Alternatively you can run the command listed for your product:

    • SUSE Linux Enterprise Software Development Kit 11 SP3:
      zypper in -t patch sdksp3-kdelibs4-8402
    • SUSE Linux Enterprise Software Development Kit 11 SP2:
      zypper in -t patch sdksp2-kdelibs4-8401
    • SUSE Linux Enterprise Server 11 SP3 for VMware:
      zypper in -t patch slessp3-kdelibs4-8402
    • SUSE Linux Enterprise Server 11 SP3:
      zypper in -t patch slessp3-kdelibs4-8402
    • SUSE Linux Enterprise Server 11 SP2 for VMware:
      zypper in -t patch slessp2-kdelibs4-8401
    • SUSE Linux Enterprise Server 11 SP2:
      zypper in -t patch slessp2-kdelibs4-8401
    • SUSE Linux Enterprise Desktop 11 SP3:
      zypper in -t patch sledsp3-kdelibs4-8402
    • SUSE Linux Enterprise Desktop 11 SP2:
      zypper in -t patch sledsp2-kdelibs4-8401

    To bring your system up-to-date, use "zypper patch".

    Package List:

    • SUSE Linux Enterprise Software Development Kit 11 SP3 (i586 ia64 ppc64 s390x x86_64):
    • kdelibs4-doc-4.3.5-0.12.1
    • libkde4-devel-4.3.5-0.12.1
    • libkdecore4-devel-4.3.5-0.12.1
    • SUSE Linux Enterprise Software Development Kit 11 SP3 (x86_64):
    • libkde4-32bit-4.3.5-0.12.1
    • libkdecore4-32bit-4.3.5-0.12.1
    • SUSE Linux Enterprise Software Development Kit 11 SP2 (i586 ia64 ppc64 s390x x86_64):
    • kdelibs4-doc-4.3.5-0.12.1
    • libkde4-devel-4.3.5-0.12.1
    • libkdecore4-devel-4.3.5-0.12.1
    • SUSE Linux Enterprise Software Development Kit 11 SP2 (x86_64):
    • libkde4-32bit-4.3.5-0.12.1
    • libkdecore4-32bit-4.3.5-0.12.1
    • SUSE Linux Enterprise Server 11 SP3 for VMware (i586 x86_64):
    • kdelibs4-4.3.5-0.12.1
    • kdelibs4-core-4.3.5-0.12.1
    • kdelibs4-doc-4.3.5-0.12.1
    • libkde4-4.3.5-0.12.1
    • libkdecore4-4.3.5-0.12.1
    • SUSE Linux Enterprise Server 11 SP3 for VMware (x86_64):
    • libkde4-32bit-4.3.5-0.12.1
    • libkdecore4-32bit-4.3.5-0.12.1
    • SUSE Linux Enterprise Server 11 SP3 (i586 ia64 ppc64 s390x x86_64):
    • kdelibs4-4.3.5-0.12.1
    • kdelibs4-core-4.3.5-0.12.1
    • kdelibs4-doc-4.3.5-0.12.1
    • libkde4-4.3.5-0.12.1
    • libkdecore4-4.3.5-0.12.1
    • SUSE Linux Enterprise Server 11 SP3 (ppc64 s390x x86_64):
    • libkde4-32bit-4.3.5-0.12.1
    • libkdecore4-32bit-4.3.5-0.12.1
    • SUSE Linux Enterprise Server 11 SP3 (ia64):
    • libkde4-x86-4.3.5-0.12.1
    • libkdecore4-x86-4.3.5-0.12.1
    • SUSE Linux Enterprise Server 11 SP2 for VMware (i586 x86_64):
    • kdelibs4-4.3.5-0.12.1
    • kdelibs4-core-4.3.5-0.12.1
    • kdelibs4-doc-4.3.5-0.12.1
    • libkde4-4.3.5-0.12.1
    • libkdecore4-4.3.5-0.12.1
    • SUSE Linux Enterprise Server 11 SP2 for VMware (x86_64):
    • libkde4-32bit-4.3.5-0.12.1
    • libkdecore4-32bit-4.3.5-0.12.1
    • SUSE Linux Enterprise Server 11 SP2 (i586 ia64 ppc64 s390x x86_64):
    • kdelibs4-4.3.5-0.12.1
    • kdelibs4-core-4.3.5-0.12.1
    • kdelibs4-doc-4.3.5-0.12.1
    • libkde4-4.3.5-0.12.1
    • libkdecore4-4.3.5-0.12.1
    • SUSE Linux Enterprise Server 11 SP2 (ppc64 s390x x86_64):
    • libkde4-32bit-4.3.5-0.12.1
    • libkdecore4-32bit-4.3.5-0.12.1
    • SUSE Linux Enterprise Server 11 SP2 (ia64):
    • libkde4-x86-4.3.5-0.12.1
    • libkdecore4-x86-4.3.5-0.12.1
    • SUSE Linux Enterprise Desktop 11 SP3 (i586 x86_64):
    • kdelibs4-4.3.5-0.12.1
    • kdelibs4-core-4.3.5-0.12.1
    • libkde4-4.3.5-0.12.1
    • libkdecore4-4.3.5-0.12.1
    • SUSE Linux Enterprise Desktop 11 SP3 (x86_64):
    • libkde4-32bit-4.3.5-0.12.1
    • libkdecore4-32bit-4.3.5-0.12.1
    • SUSE Linux Enterprise Desktop 11 SP2 (i586 x86_64):
    • kdelibs4-4.3.5-0.12.1
    • kdelibs4-core-4.3.5-0.12.1
    • libkde4-4.3.5-0.12.1
    • libkdecore4-4.3.5-0.12.1
    • SUSE Linux Enterprise Desktop 11 SP2 (x86_64):
    • libkde4-32bit-4.3.5-0.12.1
    • libkdecore4-32bit-4.3.5-0.12.1

    References:

    • http://support.novell.com/security/cve/CVE-2012-4512.html
    • http://support.novell.com/security/cve/CVE-2012-4513.html
    • http://support.novell.com/security/cve/CVE-2012-4515.html
    • https://bugzilla.novell.com/787520
    • http://download.suse.com/patch/finder/?keywords=168ca9955c5fe460af69625ac0c58712
    • http://download.suse.com/patch/finder/?keywords=b68c5e75481658853e507777d8dbd188